#include <maya/MIOStream.h>
#include <maya/MPxCommand.h>
#include <maya/MFnPlugin.h>
//#include <maya/MSelectionList.h>
//#include <maya/MGlobal.h>
//#include <maya/MDagPath.h>

//R}h̃NX MPxCommandh
class testSample : public MPxCommand
{
public:
	testSample() {};
	~testSample() override;
	MStatus	 doIt(const MArgList& args) override;
	static void* creator();

private:
};

testSample::~testSample() {}

void* testSample::creator()
{
	return new testSample();
}

//R}hŎse
MStatus testSample::doIt(const MArgList&)
{
	MStatus status;

	cout << "---------- testSample ----------" << endl;

	/***************************************
	//I𒆂̃IuWFNg̖Oo
	MSelectionList slist;
	MGlobal::getActiveSelectionList( slist );
	for (unsigned int i = 0; i < slist.length(); i++ ) {
		MDagPath dagPath;
		slist.getDagPath(i, dagPath );
		cout << dagPath.fullPathName() << endl;
		appendToResult( dagPath.fullPathName() );
	}
	***************************************/


	return status;
}

//vOC[h̃CjVCY
MStatus initializePlugin(MObject obj)
{
	MStatus   status;
	MFnPlugin plugin(obj, PLUGIN_COMPANY, "1.0", "Any");

	status = plugin.registerCommand("testSample", testSample::creator);
	if (!status) {
		status.perror("registerCommand");
		return status;
	}

	return status;
}

//vOCA[h̃ACjVCY
MStatus uninitializePlugin(MObject obj)
{
	MStatus   status;
	MFnPlugin plugin(obj);

	status = plugin.deregisterCommand("testSample");
	if (!status) {
		status.perror("deregisterCommand");
		return status;
	}

	return status;
}
